Index: TXM/trunk/org.txm.udpipe.core/src/org/txm/udpipe/core/TestREST.java
===================================================================
--- TXM/trunk/org.txm.udpipe.core/src/org/txm/udpipe/core/TestREST.java	(revision 3545)
+++ TXM/trunk/org.txm.udpipe.core/src/org/txm/udpipe/core/TestREST.java	(revision 3546)
@@ -496,7 +496,7 @@
 			for (int i = 0; i < names.length(); i++) {
 				System.out.println(names.get(i));
 				
-				System.out.println(process(target, names.get(i).toString(), "La petite brise la glace."));
+				System.out.println(process(target, names.get(i).toString(), string));
 			}
 		}
 		catch (JSONException e) {
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3545)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3546)
@@ -1,6 +1,7 @@
 package org.txm.function.tigersearch;
 
 import java.io.File;
+import java.io.IOException;
 import java.nio.MappedByteBuffer;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -332,4 +333,17 @@
 		// TODO Auto-generated method stub
 		return null;
 	}
+
+	@Override
+	public File createTemporaryFile(File resultDir) {
+		
+		try {
+			return File.createTempFile("TIGERSearch", ".svg", resultDir);
+		}
+		catch (IOException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+			return null;
+		} //$NON-NLS-1$ //$NON-NLS-2$ull;
+	}
 }
Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3546)
@@ -18,6 +18,7 @@
 import org.txm.scripts.importer.tigersearch.TSImport
 import org.txm.utils.*
 import org.txm.searchengine.ts.TIGERSearchEngine
+import org.txm.conllu.core.preferences.UDPreferences
 import org.txm.tigersearch.preferences.TigerSearchPreferences
 import org.txm.conllu.core.CallUD2TigerPerlScript
 
@@ -58,7 +59,8 @@
 			
 			println "Converting CoNLL-U files to TIGER-XML files..."
 			
-			cutps.convertCoNLLUFiles(this.sourceDirectory.listFiles(), this.binaryDirectory.getAbsolutePath())
+			File conlluDirectory = new File(this.binaryDirectory, "conllu")
+			cutps.convertCoNLLUFiles(conlluDirectory.listFiles(), this.binaryDirectory.getAbsolutePath())
 			
 			File tigerXMLDirectory = new File(this.binaryDirectory, "tiger-xml")
 			String driverFilename = TigerSearchPreferences.getInstance().getString(TigerSearchPreferences.DRIVER_FILENAME);
Index: TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3546)
@@ -156,7 +156,13 @@
 					if (words.size() > 0) {
 						def sentence = [par_id, sent_id, words, comments]
 						content.add(sentence)
+						
+						sent_id = "";
+						par_id = "1";
+						comments = [];
+						words = []
 					}
+					
 				} else {
 					
 					HashMap<String, String> wProperties = new HashMap<String, String>()
@@ -172,12 +178,12 @@
 							if (words.size() > 0) {
 								def sentence = [par_id, sent_id, words, comments]
 								content.add(sentence)
+								
+								sent_id = "";
+								par_id = "1";
+								comments = [];
+								words = []
 							}
-							
-							sent_id = "";
-							par_id = "1";
-							comments = [];
-							words = []
 						}
 						
 						words << wProperties
Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/preferences/UDPreferences.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/preferences/UDPreferences.java	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/preferences/UDPreferences.java	(revision 3546)
@@ -25,6 +25,8 @@
 	
 	public static String IMPORT_DEPS_TO_PROJECT = "import_deps_to_project";
 	
+	public static String IMPORT_BUILD_TIGERSEARCH_INDEXES = "import_build_tiger_indexes";
+	
 	/**
 	 * Gets the instance.
 	 * 
@@ -48,5 +50,6 @@
 		preferences.put(IMPORT_DEPS_TO_PROJECT, "upos,deprel");
 		preferences.putBoolean(KEEP_CONTRACTIONS, true);
 		preferences.putBoolean(IMPORT_USE_NEW_DOC_ID, true);
+		preferences.putBoolean(IMPORT_BUILD_TIGERSEARCH_INDEXES, true);
 	}
 }
Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/preferences/UDTreePreferences.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/preferences/UDTreePreferences.java	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/preferences/UDTreePreferences.java	(revision 3546)
@@ -16,7 +16,7 @@
 	public static final String DEPTREEVIZ = "deptreeviz";
 	public static final String BRAT = "brat";
 	
-	public static final String ENGINE = "engine";
+	public static final String ENGINE = "visu_engine";
 	public static final String PRINTCONLLUSENTENCES = "print_ud_seentence";
 	
 	/**
@@ -39,7 +39,7 @@
 		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.put(ENGINE, DEPTREEVIZ);
 		preferences.putBoolean(PRINTCONLLUSENTENCES, false);
-		preferences.put(TFEATURE, "word");
+		preferences.put(TFEATURE, "");
 		preferences.put(NTFEATURE, "feats");
 	}
 }
Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDSearch.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDSearch.java	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDSearch.java	(revision 3546)
@@ -1,6 +1,7 @@
 package org.txm.conllu.core.function;
 
 import java.io.File;
+import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.HashMap;
@@ -362,4 +363,22 @@
 		
 		return "platform:/plugin/org.txm.conllu.core/icons/functions/UD.png";
 	}
+
+	@Override
+	public File createTemporaryFile(File resultDir) {
+		
+		try {
+			String engine = UDTreePreferences.getInstance().getString(UDTreePreferences.ENGINE);
+			if (engine.equals("brat")) {
+				return File.createTempFile("UDTreeSearch", ".html", resultDir);
+			} else {
+				return File.createTempFile("UDTreeSearch", ".svg", resultDir);
+			}
+		}
+		catch (IOException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+			return null;
+		} //$NON-NLS-1$ //$NON-NLS-2$ull;
+	}
 }
Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/BratPrintTree.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/BratPrintTree.java	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/BratPrintTree.java	(revision 3546)
@@ -1,13 +1,36 @@
 package org.txm.conllu.core.function;
 
 import java.io.File;
+import java.io.IOException;
 import java.util.List;
 
+import org.apache.commons.lang.StringUtils;
+import org.txm.utils.BundleUtils;
+import org.txm.utils.io.IOUtils;
+
 public class BratPrintTree {
 	public static File print(File file, List<String> conll, String[] Tvalues, String[] NTvalues) {
 		
 		
 		
+		try {
+			String bundle_id = "org.txm.conllu.core";
+			File HTMLTEMPATE = BundleUtils.getFile(bundle_id, "template", "/", "index.html");
+			File root = HTMLTEMPATE.getParentFile();
+			
+			String content = IOUtils.getText(HTMLTEMPATE);
+			content = content.replace("HTMLROOTDIRECTORY", root.getAbsolutePath());
+			content = content.replace("CONLLUSENTENCE", StringUtils.join(conll, "\n"));
+			
+			IOUtils.write(file, content);
+			//BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory, true);
+		}
+		catch (IOException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		
+		
 		return file;
 	}
 }
Index: TXM/trunk/org.txm.connlu.core/template/index.html
===================================================================
--- TXM/trunk/org.txm.connlu.core/template/index.html	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/template/index.html	(revision 3546)
@@ -7,58 +7,47 @@
     <meta name="viewport" content="width=device-width">
     <meta name="description" content="CoNLL-U format library for JavaScript">
 
-    <link rel="stylesheet" href="css/jquery-ui-redmond.css">
-    <link rel="stylesheet" href="css/main.css">
-    <link rel="stylesheet" href="css/style-vis.css">
+    <link rel="stylesheet" href="HTMLROOTDIRECTORY/css/jquery-ui-redmond.css">
+    <link rel="stylesheet" href="HTMLROOTDIRECTORY/css/main.css">
+    <link rel="stylesheet" href="HTMLROOTDIRECTORY/css/style-vis.css">
 
-    <script type="text/javascript" src="lib/ext/head.load.min.js"></script>
+    <script type="text/javascript" src="HTMLROOTDIRECTORY/lib/ext/head.load.min.js"></script>
 </head>
 
 <body>
 
 <code class="conllu-parse" tabs="yes"><pre>
-# sentence-label A
-# visual-style 1	bgColor:blue
-# visual-style 1	fgColor:white
-# visual-style 2 1 nsubj	color:blue
-# visual-style 4 1 nsubj	labelArrow:triangle,10,3
-1	They	they	PRON	PRN	Case=Nom|Num=Plur	2	nsubj	4:nsubj	_
-2	buy	buy	VERB	VBP	Num=Plur|Per=3|Tense=Pres	0	root	_	_
-3	and	and	CONJ	CC	_	2	cc	_	_
-4	sell	sell	VERB	VBP	Num=Plur|Per=3|Tense=Pres	2	conj	_	_
-5	books	book	NOUN	NNS	Num=Plur	2	dobj	4:dobj	_
-6	.	.	PUNCT	.	_	2	punct	_	_
-
+CONLLUSENTENCE
 </pre></code>
 
 </body>
 
 <script type="text/javascript">
-    var root = ''; // filled in by jekyll
+    var root = 'HTMLROOTDIRECTORY'; // filled in by jekyll
     head.js(
         // External libraries
-        root + 'lib/ext/jquery.min.js',
-        root + 'lib/ext/jquery.svg.min.js',
-        root + 'lib/ext/jquery.svgdom.min.js',
-        root + 'lib/ext/jquery-ui.min.js',
-        root + 'lib/ext/waypoints.min.js',
+        root + '/lib/ext/jquery.min.js',
+        root + '/lib/ext/jquery.svg.min.js',
+        root + '/lib/ext/jquery.svgdom.min.js',
+        root + '/lib/ext/jquery-ui.min.js',
+        root + '/lib/ext/waypoints.min.js',
 
         // brat helper modules
-        root + 'lib/brat/configuration.js',
-        root + 'lib/brat/util.js',
-        root + 'lib/brat/annotation_log.js',
-        root + 'lib/ext/webfont.js',
+        root + '/lib/brat/configuration.js',
+        root + '/lib/brat/util.js',
+        root + '/lib/brat/annotation_log.js',
+        root + '/lib/ext/webfont.js',
         // brat modules
-        root + 'lib/brat/dispatcher.js',
-        root + 'lib/brat/url_monitor.js',
-        root + 'lib/brat/visualizer.js',
+        root + '/lib/brat/dispatcher.js',
+        root + '/lib/brat/url_monitor.js',
+        root + '/lib/brat/visualizer.js',
 
         // annotation documentation support
         'http://spyysalo.github.io/annodoc/lib/local/annodoc.js',
-        root + 'lib/local/config.js',
+        root + '/lib/local/config.js',
 
         // the conllu.js library itself
-        root + 'conllu.js'
+        root + '/conllu.js'
     );
 
     var webFontURLs = [
Index: TXM/trunk/org.txm.connlu.core/plugin.xml
===================================================================
--- TXM/trunk/org.txm.connlu.core/plugin.xml	(revision 3545)
+++ TXM/trunk/org.txm.connlu.core/plugin.xml	(revision 3546)
@@ -20,6 +20,9 @@
       <initializer
             class="org.txm.conllu.core.preferences.UDPreferences">
       </initializer>
+      <initializer
+            class="org.txm.conllu.core.preferences.UDTreePreferences">
+      </initializer>
    </extension>
 
 </plugin>
Index: TXM/trunk/org.txm.rcp.feature/feature.xml
===================================================================
--- TXM/trunk/org.txm.rcp.feature/feature.xml	(revision 3545)
+++ TXM/trunk/org.txm.rcp.feature/feature.xml	(revision 3546)
@@ -257,6 +257,10 @@
       <import plugin="org.txm.searchengine.core" version="1.0.0" match="greaterOrEqual"/>
       <import plugin="org.txm.rcp" version="0.8.2" match="greaterOrEqual"/>
       <import plugin="org.txm.core"/>
+      <import plugin="org.eclipse.ui.net" version="1.3.300" match="greaterOrEqual"/>
+      <import plugin="org.eclipse.ui" version="3.3.0" match="compatible"/>
+      <import plugin="org.eclipse.core.runtime" version="3.3.0" match="compatible"/>
+      <import plugin="org.eclipse.core.net" version="1.0.0" match="compatible"/>
    </requires>
 
    <plugin
@@ -285,4 +289,11 @@
          version="0.0.0"
          unpack="false"/>
 
+   <plugin
+         id="org.eclipse.ui.net"
+         download-size="0"
+         install-size="0"
+         version="0.0.0"
+         unpack="false"/>
+
 </feature>
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/UDTreePreferencePage.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/UDTreePreferencePage.java	(revision 3545)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/UDTreePreferencePage.java	(revision 3546)
@@ -5,6 +5,7 @@
 import org.eclipse.ui.IWorkbench;
 import org.txm.conllu.core.preferences.UDTreePreferences;
 import org.txm.rcp.IImageKeys;
+import org.txm.rcp.jface.ComboFieldEditor;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 
@@ -19,8 +20,10 @@
 	@Override
 	public void createFieldEditors() {
 		
-		this.addField(new StringFieldEditor(UDTreePreferences.ENGINE, "Engine", this.getFieldEditorParent()));
+		String[][] values = {{"DepTreeViz", UDTreePreferences.DEPTREEVIZ}, {"Brat", UDTreePreferences.BRAT}};
 		
+		this.addField(new ComboFieldEditor(UDTreePreferences.ENGINE, "Engine", values, this.getFieldEditorParent()));
+		
 		this.addField(new BooleanFieldEditor(UDTreePreferences.PRINTCONLLUSENTENCES, "Print CoNLL-U sentence when browsing the matches", this.getFieldEditorParent()));
 	}
 	
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/CoNLLUPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/CoNLLUPreferencePage.java	(revision 3545)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/preferences/CoNLLUPreferencePage.java	(revision 3546)
@@ -20,6 +20,8 @@
 	public void createFieldEditors() {
 		
 		this.addField(new BooleanFieldEditor(UDPreferences.IMPORT_USE_NEW_DOC_ID, "Use new odc id when importing CoNLL-U files", this.getFieldEditorParent()));
+		this.addField(new BooleanFieldEditor(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, "Build TIGERSearch indexes as well", this.getFieldEditorParent()));
+		
 		this.addField(new BooleanFieldEditor(UDPreferences.KEEP_CONTRACTIONS, "Keep word contractions when importing CoNLL-U files", this.getFieldEditorParent()));
 		this.addField(new StringFieldEditor(UDPreferences.UDPREFIX, "UD properties prefix", this.getFieldEditorParent()));
 		this.addField(new StringFieldEditor(UDPreferences.IMPORT_HEAD_TO_PROJECT, "UD head properties to project (comma separated list)", this.getFieldEditorParent()));
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3545)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3546)
@@ -107,7 +107,8 @@
 						tsPerRepresentation.put("TIGER", currentSelector.getTreeSearch(corpus)); //$NON-NLS-1$
 					}
 					updateFields = true;
-				} else if (representationCombo.getText().equals("UD") && !currentSelector.getEngine().equals("UD")) { //$NON-NLS-1$ //$NON-NLS-2$
+				}
+				else if (representationCombo.getText().equals("UD") && !currentSelector.getEngine().equals("UD")) { //$NON-NLS-1$ //$NON-NLS-2$
 					currentSelector = selectors.get("UD"); //$NON-NLS-1$
 					if (!tsPerRepresentation.containsKey("UD")) { //$NON-NLS-1$
 						tsPerRepresentation.put("UD", currentSelector.getTreeSearch(corpus)); //$NON-NLS-1$
@@ -120,17 +121,17 @@
 					getEditorInput().setResult(tsPerRepresentation.get(currentSelector.getEngine()));
 					representationLabel.setImage(IImageKeys.getImage(tsPerRepresentation.get(currentSelector.getEngine()).getIconPath()));
 					
-					//if (e.widget == sentSpinner && tsPerRepresentation.get(currentSelector.getEngine()).hasSubMatchesStrategy()) {
+					// if (e.widget == sentSpinner && tsPerRepresentation.get(currentSelector.getEngine()).hasSubMatchesStrategy()) {
 					
 					subSpinner.setSelection(1);
 					subSpinner.setMaximum(tsPerRepresentation.get(currentSelector.getEngine()).getNSubGraph(sentSpinner.getSelection() - 1));
 					subCounterLabel.setText("/" + tsPerRepresentation.get(currentSelector.getEngine()).getNSubGraph(sentSpinner.getSelection() - 1)); //$NON-NLS-1$
-					//}
+					// }
 				}
 				
 				
 				TreeSearchEditor.this.compute(true);
-				//reloadGraph();
+				// reloadGraph();
 			}
 			
 			@Override
@@ -170,7 +171,7 @@
 			}
 			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		
 		// System.out.println(parent.getLayout());
@@ -179,7 +180,7 @@
 		// fill query Area
 		GridLayout qlayout = new GridLayout(1, false);
 		qlayout.horizontalSpacing = 0;
-//		qlayout.verticalSpacing = 0;
+		// qlayout.verticalSpacing = 0;
 		queryPanel.setLayout(qlayout);
 		
 		
@@ -190,7 +191,7 @@
 		line1.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		
 		Label l = new Label(line1, SWT.NONE);
-		l.setText(TXMUIMessages.query); //$NON-NLS-1$
+		l.setText(TXMUIMessages.query); // $NON-NLS-1$
 		l.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
 		
 		queryArea = new LargeQueryField(line1, SWT.BORDER | SWT.V_SCROLL | SWT.H_SCROLL, currentSelector.getQueryClass());
@@ -204,6 +205,7 @@
 			
 			@Override
 			public void handleEvent(Event e) {
+				
 				if (e.stateMask == SWT.CTRL) {
 					if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
 						e.doit = false;
@@ -266,7 +268,7 @@
 		
 		new Label(navigationAreaComposite, SWT.NONE);
 		
-		//if (tsPerRepresentation.get(currentSelector.getEngine()).hasSubMatchesStrategy()) {
+		// if (tsPerRepresentation.get(currentSelector.getEngine()).hasSubMatchesStrategy()) {
 		Label l4 = new Label(navigationAreaComposite, SWT.NONE);
 		l4.setText("Sub-Match "); //$NON-NLS-1$
 		gdata = new GridData(SWT.FILL, SWT.CENTER, false, false);
@@ -284,20 +286,20 @@
 		subCounterLabel = new Label(navigationAreaComposite, SWT.NONE);
 		gdata = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		subCounterLabel.setLayoutData(gdata);
-		//}
+		// }
 		
 		Composite mainPanel = this.getResultArea();
 		svgPanel = new Browser(mainPanel, SWT.EMBEDDED | SWT.NO_BACKGROUND);
 		svgPanel.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		
-		//this.getTopToolbar().setVisible(COMPUTING_PARAMETERS_GROUP_ID, true);
+		// this.getTopToolbar().setVisible(COMPUTING_PARAMETERS_GROUP_ID, true);
 		initializeFields();
 	}
 	
 	protected void initializeFields() {
-		//String id = corpus.getID();
+		// String id = corpus.getID();
 		
-		//if (ts.isReady()) {
+		// if (ts.isReady()) {
 		TreeSearch ts = tsPerRepresentation.get(currentSelector.getEngine());
 		
 		this.queryArea.setText(ts.getQuery());
@@ -320,7 +322,7 @@
 			String[] values = selectors.keySet().toArray(new String[selectors.size()]);
 			representationCombo.setItems(values);
 			
-			String defaultEngine = ts.getEngine();//TreeSearchPreferences.getInstance().getString(TreeSearchPreferences.DEFAULT_REPRESENTATION);
+			String defaultEngine = ts.getEngine();// TreeSearchPreferences.getInstance().getString(TreeSearchPreferences.DEFAULT_REPRESENTATION);
 			representationCombo.select(Arrays.binarySearch(values, defaultEngine));
 			
 			if (representationCombo.getItemCount() == 1) {
@@ -343,10 +345,10 @@
 		if (ts.isDrawn()) {
 			sentSpinner.setSelection(1);
 			sentSpinner.setMaximum(ts.getNSentences());
-			//if (ts.hasSubMatchesStrategy()) {
+			// if (ts.hasSubMatchesStrategy()) {
 			subSpinner.setSelection(ts.getSub(0));
 			subSpinner.setMaximum(ts.getNSubGraph(0));
-			//}
+			// }
 			
 			try {
 				reloadGraph();
@@ -368,11 +370,11 @@
 				if (ts.hasSubMatchesStrategy()) subSpinner.setMaximum(1);
 			}
 		}
-		//		}
-		//		else {
-		//			System.out.println("Corpus '" + id + "' is not ready.");
-		//			return;
-		//		}
+		// }
+		// else {
+		// System.out.println("Corpus '" + id + "' is not ready.");
+		// return;
+		// }
 	}
 	
 	/**
@@ -380,10 +382,12 @@
 	 * @return 1..N sentences
 	 */
 	public int getNSent() {
+		
 		return this.sentSpinner.getSelection();
 	}
 	
 	public File getSVGFile() {
+		
 		return svgFile;
 	}
 	
@@ -396,9 +400,9 @@
 	
 	@Override
 	public void updateEditorFromResult(boolean update) {
-		//		if (update == false) {
-		//			//initializeFields();
-		//		}
+		// if (update == false) {
+		// //initializeFields();
+		// }
 		// final String query = queryArea.getText().trim();
 		// if (query.length() == 0) {
 		// System.out.println("No query, aborting.");
@@ -457,8 +461,13 @@
 		if (!ts.isComputed()) return false;
 		
 		try {
+			if (svgFile != null && svgFile.exists()) svgFile.delete();
+			
+			File resultDir = new File(Toolbox.getTxmHomePath(), "results"); //$NON-NLS-1$
+			resultDir.mkdirs();
+			svgFile = this.getResult().createTemporaryFile(resultDir); // File.createTempFile("TreeSearch", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
 			if (ts.toSVG(svgFile, sent, sub, T, NT)) {
-				Log.finer("SVG file: "+svgFile); //$NON-NLS-1$
+				Log.finer("SVG file: " + svgFile); //$NON-NLS-1$
 				svgPanel.setUrl(svgFile.toURI().toURL().toString());
 				svgPanel.layout();
 				svgPanel.redraw();
@@ -476,26 +485,21 @@
 	
 	@Override
 	public void _setFocus() {
+		
 		if (queryArea != null)
 			queryArea.forceFocus();
 	}
 	
 	@SuppressWarnings("unchecked")
 	@Override
-	public void init(IEditorSite site, IEditorInput input)
-			throws PartInitException {
+	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
+		
 		setSite(site);
 		setInput(input);
 		
 		File resultDir = new File(Toolbox.getTxmHomePath(), "results"); //$NON-NLS-1$
 		resultDir.mkdirs();
-		try {
-			svgFile = File.createTempFile("TreeSearch", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-		catch (IOException e) {
-			Log.severe(Messages.bind(Messages.ErrorP0, e.getLocalizedMessage()));
-			Log.printStackTrace(e);
-		}
+		svgFile = this.getResult().createTemporaryFile(resultDir); // File.createTempFile("TreeSearch", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
 		Log.fine(svgFile.toString());
 		
 		TXMResultEditorInput<TreeSearch> ii = (TXMResultEditorInput<TreeSearch>) input;
Index: TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3545)
+++ TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3546)
@@ -153,5 +153,7 @@
 	}
 
 	public abstract Selection getSelection();
+
+	public abstract File createTemporaryFile(File resultDir);
 	
 }
Index: TXM/trunk/org.txm.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.rcp/plugin.xml	(revision 3545)
+++ TXM/trunk/org.txm.rcp/plugin.xml	(revision 3546)
@@ -1939,12 +1939,6 @@
                   label="%command.label.172"
                   style="push"
                   tooltip="%command.tooltip.37">
-               <visibleWhen
-                     checkEnabled="false">
-                  <reference
-                        definitionId="TextEditorActive">
-                  </reference>
-               </visibleWhen>
             </command>
             <command
                   commandId="org.txm.rcp.commands.ExecuteLastGroovyScript"
Index: TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3545)
+++ TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3546)
@@ -147,7 +147,8 @@
  org.txm.treetagger.core;visibility:=reexport,
  org.eclipse.equinox.p2.discovery.compatibility;bundle-version="1.0.201";visibility:=reexport,
  org.eclipse.e4.ui.workbench.renderers.swt;visibility:=reexport,
- javax.annotation;bundle-version="1.2.0";visibility:=reexport
+ javax.annotation;bundle-version="1.2.0";visibility:=reexport,
+ org.eclipse.ui.net;bundle-version="1.3.300"
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: org.txm.rcp.Activator
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3545)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3546)
@@ -164,7 +164,7 @@
 		//		
 		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "groovy/user"); //$NON-NLS-1$
-
+		if (stringArgs == null) stringArgs = "";
 		return executeScript(currentRootDir, scriptpath, page, selection, modal, Arrays.asList(stringArgs.split("\t")), null, null);
 	}
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 3545)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 3546)
@@ -136,8 +136,7 @@
 					binding.setVariable("corpusViewSelections", corpusViewSelections); //$NON-NLS-1$
 					binding.setProperty("monitor", this); //$NON-NLS-1$
 					//binding.setProperty("gse", gse);
-					GroovyShell shell = new GroovyShell(this.getClass()
-							.getClassLoader(), binding);
+					GroovyShell shell = new GroovyShell(this.getClass().getClassLoader(), binding);
 
 					for (File file : classPath) {
 						try {
@@ -148,7 +147,7 @@
 							return null;
 						}
 					}
-
+					
 					// try {
 					System.out.println("Executing text selection..."); //$NON-NLS-1$
 					long time = System.currentTimeMillis();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java	(revision 3545)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java	(revision 3546)
@@ -42,6 +42,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.utils.io.IOUtils;
 /**
  *  Ask the user to select a Groovy script using a File dialog and execute it
  */
@@ -78,7 +79,13 @@
 		if (result == null) return null;
 		
 		LastOpened.set(ID, new File(result));
-		ExecuteGroovyScript.executeScript(result, page, selection);
+		try {
+			String content = IOUtils.getText(new File(result));
+			//ExecuteGroovyScript.executeScript(result, page, selection);
+			ExecuteText.executeText(content, result);
+		} catch (Throwable e) {
+			e.printStackTrace();
+		}
 		return null;
 	}
 }
Index: TXM/trunk/org.txm.conllu.feature/feature.xml
===================================================================
--- TXM/trunk/org.txm.conllu.feature/feature.xml	(revision 3545)
+++ TXM/trunk/org.txm.conllu.feature/feature.xml	(revision 3546)
@@ -29,8 +29,7 @@
          id="org.txm.conllu.core"
          download-size="0"
          install-size="0"
-         version="0.0.0"
-         unpack="false"/>
+         version="0.0.0"/>
 
    <plugin
          id="org.txm.conllu.rcp"
